/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   move_up_left.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/14 17:13:59 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/14 17:14:07 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

/*
**	Moves figures to top left corner.
**	table contains strings each represent one figure
*/

void	move_up_left(char **ttr)
{
	int		i;
	int		j;
	int		k;
	char	t[17];

	i = 0;
	while (ttr[i])
	{
		ft_memcpy(t, ttr[i], 17);
		j = 0;
		while (ttr[i][j] != '#')
			j++;
		ft_memmove(t, ttr[i] + j, 17 - j);
		k = 0;
		while ((t[3] == '#' && t[4] == '#') || (t[7] == '#' && t[8] == '#') ||
				(t[11] == '#' && t[12] == '#'))
		{
			ft_memmove((t + k + 1), (t + k), 17 - j--);
			*(t + k++) = '.';
		}
		k = 15;
		while (j--)
			*(t + k--) = '.';
		ft_memcpy(ttr[i++], t, 17);
	}
}
